<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">

    <link rel="stylesheet" href="css/locationtypes.css">

    <title>Extension Tables</title>
</head>
<body>
<div class="bigTable">
    <h1>Extension Tables</h1>
    <table id="ExtensionTable">
        <thead>
        <tr>
            <th>Tables</th>
            <th>Actions</th>
        </tr>
        </thead>
        <tbody id="extensionTablesBody">
        </tbody>
    </table>
    <button id="addNewExtensionTable" class="addExtensionTable" onclick="addNewExtensionTableField()">Add new</button>
    <br/> <br/>
    <table id="ExtensionTableColumns">
        <thead>
        <tr>
            <th>Columns</th>
            <th>Actions</th>
        </tr>
        </thead>
        <tbody id="extensionTableColumnsBody">
        </tbody>
    </table>
</div>
<br/>
<br/>
<div class="newColumn">
    <h4>Add new column to extension table</h4>
    <form method="post" role="form" data-toggle="validator"
          id="addNewColumnInput">
        <fieldset>
            <div>
                <label for="tableName">Table Name: </label><input type="text"
                                                                  id="tableNameFieldValue" name="tableName"
                                                                  required/><br/> <label
                    for="columnName">Column Name: </label><input type="text"
                                                                 id="columnNameFieldValue" name="columnName"
                                                                 required/><br/> <select
                    name="columnType" id="columnTypeSelect" required>
                <option value="INTEGER">Integer</option>
                <option value="DECIMAL">Decimal</option>
                <option value="VARCHAR">Varchar</option>
                <option value="TEXT">Text</option>
                <option value="TIMESTAMP">Timestamp</option>
            </select>
                <div class="form-group">
                    <button type="submit" value="Send">Add</button>
                </div>
            </div>
        </fieldset>
    </form>
</div>

<div id="root"></div>

<div id="names"></div>

<script src="js/babel.min.js"></script>
<script src="js/react.js"></script>
<script src="js/react-dom.js"></script>
<script src="js/common.js"></script>
<script type="text/babel" src="js/extensiontables.js"></script>

<!--<script src="js/common.js"></script>-->
<!--<script src="js/extensiontables.js"></script>-->
</body>
</html>